import type { DriveDescription } from "./DriveDescription";
import type { DriveId } from "./DriveId";
import type { DriveName } from "./DriveName";
import type { DriveUrlSlug } from "./DriveUrlSlug";
import type { EpochMillis } from "./EpochMillis";
import type { HttpUrl } from "./HttpUrl";
import type { UserSummary } from "./UserSummary";
export declare type Drive = {
    baseUrl: HttpUrl;
    description: DriveDescription;
    enabled: boolean;
    name: DriveName;
    slug: DriveUrlSlug;
    type: "ReadOnlyBaseUrl";
    createdAt: EpochMillis;
    createdBy: UserSummary;
    driveId: DriveId;
};
