import type { AccountId } from "../models/AccountId";
import type { Drive } from "../models/Drive";
import type { DriveData } from "../models/DriveData";
import type { DriveId } from "../models/DriveId";
import type { RemoveDriveBatch } from "../models/RemoveDriveBatch";
export declare class DrivesService {
    /**
     * Adds an drive to the account.
     * @param accountId
     * @param requestBody
     * @returns Drive Success.
     * @throws ApiError
     */
    static addDrive(accountId: AccountId, requestBody: DriveData): Promise<Drive>;
    /**
     * Removes multiple drives from the account.
     * @param accountId
     * @param requestBody
     * @returns void
     * @throws ApiError
     */
    static removeDriveBatch(accountId: AccountId, requestBody: RemoveDriveBatch): Promise<void>;
    /**
     * Removes an drive from the account.
     * @param accountId
     * @param driveId
     * @returns void
     * @throws ApiError
     */
    static removeDrive(accountId: AccountId, driveId: DriveId): Promise<void>;
}
