/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { FileTag } from "./FileTag";
import type { TagScope } from "./TagScope";

/**
 * Api key creation request.
 */
export type CreateApiKey = {
  defaultTags?: Array<FileTag>;
  description: ApiKeyDescription;
  /**
   * Redundant for secret keys as is never inspected for them, so don't display in UI.
   */
  overrideAllowUnauthenticatedUploads?: boolean;
  /**
   * If set, only these tags are allowed. Default tags and auto-generated tags (i.e. timestamp) are automatically added
   * to this list. Any empty whitelist does not allow any tags (other than those previously mentioned).
   *
   * Redundant for secret keys as is never inspected for them, so don't display in UI.
   */
  tagWhitelist?: Array<TagScope>;
};
