/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { Drive } from "../models/Drive";
import type { DriveData } from "../models/DriveData";
import type { DriveId } from "../models/DriveId";
import type { RemoveDriveBatch } from "../models/RemoveDriveBatch";
import { request as __request } from "../core/request";

export class DrivesService {
  /**
   * Adds an drive to the account.
   * @param accountId
   * @param requestBody
   * @returns Drive Success.
   * @throws ApiError
   */
  public static async addDrive(accountId: AccountId, requestBody: DriveData): Promise<Drive> {
    const result = await __request({
      method: "POST",
      path: `/v1/accounts/${accountId}/drives`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Removes multiple drives from the account.
   * @param accountId
   * @param requestBody
   * @returns void
   * @throws ApiError
   */
  public static async removeDriveBatch(accountId: AccountId, requestBody: RemoveDriveBatch): Promise<void> {
    const result = await __request({
      method: "DELETE",
      path: `/v1/accounts/${accountId}/drives`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }

  /**
   * Removes an drive from the account.
   * @param accountId
   * @param driveId
   * @returns void
   * @throws ApiError
   */
  public static async removeDrive(accountId: AccountId, driveId: DriveId): Promise<void> {
    const result = await __request({
      method: "DELETE",
      path: `/v1/accounts/${accountId}/drives/${driveId}`,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
